/***************************************************************************
 *   Copyright (C) 2003 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "taviaurcdropbutton.h"
#include <taviaurcdrag.h>

TaviaURCDropButton::TaviaURCDropButton(QWidget *parent, const char *name)
 : QToolButton(parent, name)
{
    setAcceptDrops(true);
}


TaviaURCDropButton::~TaviaURCDropButton()
{
}




/*!
    \fn TaviaURCDropButton::dropEvent(QDropEvent *event)
 */
void TaviaURCDropButton::dropEvent(QDropEvent *event)
{
    emit drop(event);
}


/*!
    \fn TaviaURCDropButton::dragEnterEvent(QDragEnterEvent *event)
 */
void TaviaURCDropButton::dragEnterEvent(QDragEnterEvent *event)
{
    event->accept(TaviaURCDrag::canDecode(event));
}
